TYPOS3 Core - Bug #42272
CheckboxgroupElement not found

2012-10-22 13:37 - move:elevator no-lastname-given

Status: Closed Start date: 2012-10-22
Priority: Should have Due date:

Assignee: % Done: 0%
Category: Form Framework Estimated time: 0.00 hour
Target version: 6.0.0-RC1

TYPO3 Version: 6.0 Complexity: easy

PHP Version: 5.3 Is Regression:

Tags: Sprint Focus:

Description

A Fatal error: Class \TYPO3\CMS\Form\Domain\Model\Element\CheckboxgroupElement' not found in '.../GeneralUtility.php on line
4154' shows if a form called in frontend.

It looks like the reason is the small "g" in "group". The existing model are called "CheckboxGroupElement".

Related issues:
Is duplicate of TYPOS3 Core - Bug #40850: Form shows Fatal Error in Frontend Closed 2012-09-12

History

#1 - 2012-10-22 21:01 - Steffen Gebert

But | can't that name in lowercase anywhere in the source code.. Could you post a stack trace, please?

#2 - 2012-10-22 21:01 - Steffen Gebert

- Status changed from New to Needs Feedback

#3 - 2012-10-23 08:34 - move:elevator no-lastname-given

Thanks for your quick answer. Here is the stack.

#0 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Domain/Factory/TypoScriptFactory.php(171): TYPO
3\CMS\Core\Utility\GeneralUtility: :makeInstance ('TYPO3\CMS\Form\...")

#1 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Domain/Factory/TypoScriptFactory.php(151): TYPO
3\CMS\Form\Domain\Factory\TypoScriptFactory->createElement ('CHECKBOXGROUP', Array)

#2 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Domain/Factory/TypoScriptFactory.php(114): TYPO
3\CMS\Form\Domain\Factory\TypoScriptFactory—>addElement (Object (TYPO3\CMS\Form\Domain\Model\Element\FieldsetEle
ment), 'CHECKBOXGROUP', Array)

#3 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Domain/Factory/TypoScriptFactory.php(94): TYPO3
\CMS\Form\Domain\Factory\TypoScriptFactory->setElementType (Object (TYPO3\CMS\Form\Domain\Model\Element\Fieldset
Element), 'CHECKBOXGROUP', Array)

#4 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Domain/Factory/TypoScriptFactory.php (204): TYPO
3\CMS\Form\Domain\Factory\TypoScriptFactory—>getChildElementsByIntegerKey (Object (TYPO3\CMS\Form\Domain\Model\E
lement\FieldsetElement), Array)

#5 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Domain/Factory/TypoScriptFactory.php(178): TYPO
3\CMS\Form\Domain\Factory\TypoScriptFactory—>reconstituteElement (Object (TYPO3\CMS\Form\Domain\Model\Element\Fi
eldsetElement), Array)

#6 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Domain/Factory/TypoScriptFactory.php(151): TYPO
3\CMS\Form\Domain\Factory\TypoScriptFactory—->createElement ('FIELDSET', Array)

#7 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Domain/Factory/TypoScriptFactory.php(114): TYPO
3\CMS\Form\Domain\Factory\TypoScriptFactory->addElement (Object (TYPO3\CMS\Form\Domain\Model\Form), 'FIELDSET',
Array)

#8 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Domain/Factory/TypoScriptFactory.php (94): TYPO3
\CMS\Form\Domain\Factory\TypoScriptFactory->setElementType (Object (TYPO3\CMS\Form\Domain\Model\Form), 'FIELDSET
', Array)

#9 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Domain/Factory/TypoScriptFactory.php (204): TYPO
3\CMS\Form\Domain\Factory\TypoScriptFactory->getChildElementsByIntegerKey (Object (TYPO3\CMS\Form\Domain\Model\F
orm), Array)

#10 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Domain/Factory/TypoScriptFactory.php(178): TYP
03\CMS\Form\Domain\Factory\TypoScriptFactory->reconstituteElement (Object (TYPO3\CMS\Form\Domain\Model\Form), Ar
ray)

#11 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Domain/Factory/TypoScriptFactory.php(60): TYPO
3\CMS\Form\Domain\Factory\TypoScriptFactory—->createElement ('form', Array)

#12 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Controller/FormController.php(166): TYPO3\CMS\
Form\Domain\Factory\TypoScriptFactory->buildModelFromTyposcript (Array)

#13 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Controller/FormController.php (132): TYPO3\CMS\
Form\Controller\FormController—->renderForm/()

#14 /var/www/virtual/host/htdocs/Core/typo3/sysext/form/Classes/Controller/FormController.php(119): TYPO3\CMS\
Form\Controller\FormController->execute ()

#15 /var/www/virtual/host/htdocs/Core/typo3/sysext/frontend/Classes/ContentObject/ContentObjectRenderer.php (72
7) : TYPO3\CMS\Form\Controller\FormController->cObjGetSingleExt ('FORM_INT', Array, '1l0', Object (TYPO3\CMS\Front
end\ContentObject\ContentObjectRenderer))

#16 /var/www/virtual/host/htdocs/Core/typo3/sysext/frontend/Classes/ContentObject/ContentObjectRenderer.php (68
2): TYPO3\CMS\Frontend\ContentObject\ContentObjectRenderer->cObjGetSingle ('FORM_INT', Array, '10'")

#17 /var/www/virtual/host/htdocs/Core/typo3/sysext/frontend/Classes/ContentObject/ContentObjectArrayContentObj
ect.php(49): TYPO3\CMS\Frontend\ContentObject\ContentObjectRenderer—>cObjGet (Array)

#18 /var/www/virtual/host/htdocs/Core/typo3/sysext/frontend/Classes/ContentObject/ContentObjectRenderer.php (88
0) : TYPO3\CMS\Frontend\ContentObject\ContentObjectArrayContentObject->render (Array)

#19 /var/www/virtual/host/htdocs/Core/typo3/sysext/frontend/Classes/Controller/TypoScriptFrontendController.ph
p(3461): TYPO3\CMS\Frontend\ContentObject\ContentObjectRenderer—->COBJ_ARRAY (Array)

#20 /var/www/virtual/host/htdocs/Core/typo3/sysext/frontend/Classes/Controller/TypoScriptFrontendController.ph
p(3404) : TYPO3\CMS\Frontend\Controller\TypoScriptFrontendController—->INTincScript_process (Array)

#21 /var/www/virtual/host/htdocs/Core/typo3/sysext/cms/tslib/index_ts.php(221): TYPO3\CMS\Frontend\Controller\
TypoScriptFrontendController->INTincScript ()

#22 /var/www/virtual/host/htdocs/Core/index.php (42): require ('/var/www/virtua...")

#23 {main}

Fatal error: Class '\TYPO3\CMS\Form\Domain\Model\Element\CheckboxgroupElement' not found in /var/www/virtual/h
ost/htdocs/Core/typo3/sysext/core/Classes/Utility/GeneralUtility.php

And here the relevant part from the form setup:

60 = FIELDSET
60 {
legend {
value = Anfahrt
}
10 = CHECKBOXGROUP

class = fieldset-subgroup
legend {
value = Anfahrt

}

name = anfahrt
10 = CHECKBOX
10 {
label {
value = Zug

20 = CHECKBOX

label {
value = Bahn

}
30 = CHECKBOX
30
label {
value = Flugzeug

Let me know if you need something more.

#4 - 2012-10-30 11:01 - Benni Mack
- Status changed from Needs Feedback to Accepted

- Complexity set to easy

#5 - 2012-11-24 21:53 - Florian Scholz
Fixed with #40850

#6 - 2012-11-26 22:01 - Steffen Ritter
https://forge.typo3.org/issues/40850

- Status changed from Accepted to Closed
